#pragma once
#include "colorstatic.h"
#include "afxwin.h"
#include "readonlyedit.h"


// CDlg_SecHeating dialog

class CDlg_SecHeating : public CDialog
{
	DECLARE_DYNAMIC(CDlg_SecHeating)

public:
	CDlg_SecHeating(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_SecHeating();

// Dialog Data
	enum { IDD = IDD_SECONDARYHEATING };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void AddStringsToComboBoxesForSecHeatingDlg();
	afx_msg void DisplayValuesForSecHeatingDlg();
	afx_msg void ReadInputsFromSecHeatingDlg();

	DECLARE_MESSAGE_MAP()
public:
	CColorStatic m_labelGeneral;
	CColorStatic m_labelSecHtFraction;

	CComboBox m_comboIsSecHtPresent;
	CComboBox m_comboOpenFlueOrChimney;
	CComboBox m_comboUnconnectedGasPoint;
	CComboBox m_comboEffFrom;
	CComboBox m_comboFuel;
	CComboBox m_comboSystem;
	CComboBox m_comboTestMethod;

	CReadOnlyEdit m_editManufactDesc;
	CReadOnlyEdit m_editEff;
	CReadOnlyEdit m_editSecHtFraction;

	CString str_comboIsSecHtPresent;
	CString str_comboOpenFlueOrChimney;
	CString str_comboUnconnectedGasPoint;
	CString str_comboEffFrom;
	CString str_comboFuel;
	CString str_comboSystem;
	CString str_editManufactDesc;
	CString str_comboTestMethod;
	CString str_editEff;
	CString str_editSecHtFraction;

	afx_msg void OnCbnSelchangeComboIssechtpresent();
	afx_msg void OnCbnSelchangeComboIsthereopenfluechimney();
	afx_msg void OnCbnSelchangeComboIsthereunconnectedgaspoint();
	afx_msg void OnCbnSelchangeComboEfffrom();
	afx_msg void OnCbnSelchangeComboFuel();
	afx_msg void OnCbnSelchangeCombosystem();
	afx_msg void OnEnChangeEditManufactdesc();
	afx_msg void OnCbnSelchangeCombotestmethod();
	afx_msg void OnEnChangeEditeff();
	afx_msg void OnEnChangeEdit1();
	virtual BOOL PreTranslateMessage(MSG* pMsg);	
};


